
TYPO3.Flow - Feature # 34648

Status: Resolved Priority: Must have
Author: Aske Ertmann Category: Security
Created: 2012-03-07 Assigned To: Aske Ertmann
Updated: 2012-05-11 Due date:
PHP Version: 5.3
Has patch: No
Complexity: medium
Subject: Implement a way to authenticate with a file based encrypted key
Description

For the setup wizard we need a file based encryped key provider. For this we need a password token which only has a password
credential. We also need an authentication provider for validating the keys and some service for retrieving, persisting & generating
keys.

Associated revisions
Revision af6de01a - 2012-05-10 16:31 - Aske Ertmann 

[FEATURE] Implement file based encrypted key authentication

This commit introduce a new password token, which works like the username
password token but only requires a password.

The file based simple key provider authenticates a password token using the
file based simple key service to get the matching password in the key which
is configurable for every instance of the provider. Furthermore the service
is capable of storing, removing, getting, checking and generating keys.
Optional values for generation key length and password hashing strategy is
configurable for the service.

Change-Id: I3f388737c309bc69dcffa4bc593378674ed87952
Resolves: #34648
Releases: 1.1

History
#1 - 2012-03-07 17:27 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#2 - 2012-03-07 17:34 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461
#3 - 2012-03-14 13:31 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#4 - 2012-03-19 11:17 - Karsten Dambekalns
- Assigned To set to Aske Ertmann

#5 - 2012-03-21 19:30 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#6 - 2012-03-28 13:33 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#7 - 2012-04-02 23:07 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#8 - 2012-04-02 23:07 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#9 - 2012-04-12 10:06 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#10 - 2012-04-12 10:25 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#11 - 2012-04-12 13:26 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#12 - 2012-04-14 16:02 - Gerrit Code Review
Patch set 11 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#13 - 2012-04-15 12:11 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#14 - 2012-04-15 14:09 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#15 - 2012-04-27 18:12 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#16 - 2012-05-08 19:48 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#17 - 2012-05-10 16:24 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#18 - 2012-05-10 16:26 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#19 - 2012-05-10 16:31 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9461

#20 - 2012-05-11 02:39 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:af6de01a2a8760e17f31584076461c38eaa98a44.

2015-08-03 3/4

http://review.typo3.org/9461
http://review.typo3.org/9461
http://review.typo3.org/9461
http://review.typo3.org/9461
http://review.typo3.org/9461
http://review.typo3.org/9461
http://review.typo3.org/9461
http://review.typo3.org/9461


2015-08-03 4/4


